import request from '@/utils/request'

// 查询科技型中小企业名单列表
export function listEnterprises(query) {
  return request({
    url: '/crmTechnologyEnterprises/findByPage',
    method: 'get',
    params: query
  })
}

// 查询科技型中小企业名单详细
export function getEnterprises(id) {
  return request({
    url: '/crmTechnologyEnterprises/enterprises/' + id,
    method: 'get'
  })
}

// 新增科技型中小企业名单
export function addEnterprises(data) {
  return request({
    url: '/crmTechnologyEnterprises/enterprises',
    method: 'post',
    data: data
  })
}

// 修改科技型中小企业名单
export function updateEnterprises(data) {
  return request({
    url: '/crmTechnologyEnterprises/enterprises',
    method: 'put',
    data: data
  })
}

// 删除科技型中小企业名单
export function delEnterprises(id) {
  return request({
    url: '/crmTechnologyEnterprises/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delEnterprisesBatch(ids) {
  console.log(ids);
  return request.post('/crmTechnologyEnterprises/delete',ids)
}

